Summary: Getopt package for both long (gnu) and short styles
Name: Getopt-Mixed.pm
#the requires line here is possibly a lie because I don't know enough
#about the interactions of newer perl versions and perl modules.
Requires: perl >= 5.001
Packager: Michael De La Rue <miked@ed.ac.uk>
Version: 1.008
Release: 4
Copyright: GPL + linking
Group: Development/Libraries/Perl
Source: ftp://ftp.funet.fi/pub/languages/perl/CPAN/modules/by-category/12_Option_Argument_Parameter_Processing/Getopt/Getopt-Mixed-1.008.tar.gz
Patch0: Getopt-Mixed-option_in_pod-patch
#This package is not relocatable and cannot have a different build
#root because it relies on perl's idea of the correct location of
#files.  

%description
This perl module makes full GNU style argument processing (for example
providing --help and -h options) easy.  It provides several ways of
interfacing with the argument parser depending on the complexity of
the parsing you wish to do.

%prep
%setup -n Getopt-Mixed-1.008
%patch -p1
#if we leave the original it gets installed.  GRRR..
rm lib/Getopt/Mixed.pm.orig
%build
perl Makefile.PL
make
# wouldn't it be nice to have a pre-test and post-test section 
#make test || echo 'Build had errors; please fix'

%install
make install

%files
%doc README 
/usr/lib/perl5/site_perl/Getopt/Mixed.pm
/usr/lib/perl5/man/man3/Getopt::Mixed.3
